%define name	ksalup
%define version	1.2.0
%define release	2mdk
%define title   KSalup
%define section Networking/Instant messaging
%define summary 	Local area network (LAN) messaging tool.


Name: 		%{name} 
Summary: 	%{summary}
Version: 	%{version} 
Release: 	%{release} 
License: 	GPL
Group: 		%{section}
Url: 		http://sourceforge.net/projects/ksalup
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}.16.png.bz2
Source2:        %{name}.32.png.bz2
Source3:        %{name}.48.png.bz2
Buildroot: 	%_tmppath/%name-buildroot
BuildRequires: 	kdelibs-devel libfam0-devel libpng3-devel
Buildrequires:	libqt3-devel


%description
KSalup allows Linux users to receive and send popup messages to other
computers on a local area network (LAN).
KSalup is compatible with many other programs such as Microsoft Winpopup,
Kurupop, LanTalk, Linpopup, Pipop, Salup, ...
KSalup has multilingual support and is compatible with existing characters
encodings (7 bit ASCII, UTF-8, Microsoft codepages, ...).
KSalup runs under KDE 3.x and can send messages from a shell command line.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir
%make

%install
rm -rf %buildroot
%makeinstall

# Menu
mkdir -p %buildroot/%_menudir
#kdedesktop2mdkmenu.pl %name "%section"  %buildroot/%_datadir/applnk/Internet/ksalup.desktop %buildroot/%_menudir/%{name} 
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): \
command="soundwrapper /usr/bin/ksalup" \
needs="kde" \
icon="%{name}.png" \
section="%section" \
title="%title" \
longtitle="%summary"
EOF

#icons 
mkdir -p $RPM_BUILD_ROOT%_miconsdir
mkdir -p $RPM_BUILD_ROOT%_iconsdir
mkdir -p $RPM_BUILD_ROOT%_liconsdir
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README TODO COPYING ChangeLog

%dir %_docdir/HTML/fr/%{name}/
%doc %_docdir/HTML/fr/%{name}/*.docbook
%doc %_docdir/HTML/fr/%{name}/*.bz2
%doc %_docdir/HTML/fr/%{name}/common
%doc %_docdir/HTML/fr/%{name}/%{name}*.png
#%doc %_docdir/HTML/fr/%{name}/index.latin1

%dir %_docdir/HTML/en/%{name}/
%doc %_docdir/HTML/en/%{name}/*.docbook
%doc %_docdir/HTML/en/%{name}/*.bz2
%doc %_docdir/HTML/en/%{name}/common
%doc %_docdir/HTML/en/%{name}/%{name}*.png

%_datadir/apps/ksalup/template-popups.html

#%_bindir/*	The program needs to be setuid root.
%defattr(0644,root,root,0755)
%_menudir/*
%_datadir/applnk/Internet/*.desktop

%dir %_datadir/apps/%{name}/
%_datadir/apps/%{name}/%{name}ui.rc
%dir %_datadir/apps/%{name}/pics/
%_datadir/apps/%{name}/pics/*.png
%dir %_datadir/apps/%{name}/charsets/
%_datadir/apps/%{name}/charsets/*.cp

%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png
%_datadir/icons/locolor/16x16/*
%_datadir/icons/locolor/32x32/*
#%_datadir/icons/hicolor/48x48/*
%_datadir/icons/hicolor/32x32/*
#%_datadir/icons/hicolor/22x22/*
%_datadir/icons/hicolor/16x16/*

%attr(4755,root,bin)	%{_bindir}/%{name}


%changelog
* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.0 -2mdk 
- Rebuild

* Tue Sep 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.9-2mdk 
- Rebuild

* Sun May 4 2003 Aurelien Bompard <gauret@free.fr> 1.0.9-1mdk
- 1.0.9
- Fix typo in email address (it's gauret@ and not goret@)
- Update URL

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-2mdk
- buildrequires

* Wed Mar 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-1mdk
- from Aurelien Bompard <gauret@free.fr> :
	- Added libfam0-devel to buildrequires.
	- More mdk-rpm compliance

* Mon Feb 10 2003 Aurelien Bompard <gauret@netcourrier.com> 1.0.9-3mdk
- Spec file corresponds to the mdk-rpm howto.

* Wed Jan 29 2003 Gauret <gauret@netcourrier.com> 1.0.9-2mdk
- Premier package pour Mandrake.
- Le package est sign avec GPG.
